#pragma once

#include "Widget.h"

class MeshNode;
class AbstractMesh;

class MeshViewerView : public Widget
{
public:
    MeshViewerView();
    ~MeshViewerView();
    static Ptr<MeshViewerView> Create();
    void doPaint(const PaintEvent* event) override;
private:

    Ptr<AbstractMesh> mMesh;
    Ptr<MeshNode> mMeshNode;
};
