#include "PlainTextDocument.h"

PlainTextDocument::PlainTextDocument()
    : mContent()
{

}

Ptr<PlainTextDocument> PlainTextDocument::Create()
{
    return std::make_unique<PlainTextDocument>();
}

String PlainTextDocument::GetContent() const
{
    return mContent;
}

void PlainTextDocument::SetContent(const String& content)
{
    mContent = content;
}

void PlainTextDocument::Clear()
{
    mContent = "";
}
