#pragma once

#include "String.h"
#include "Pointer.h"

class PlainTextDocument
{
    String mContent;

public:

    PlainTextDocument();

    static Ptr<PlainTextDocument> Create();

    String GetContent() const;

    void SetContent(const String& content);

    void Clear();

};

using PlainTextDocumentUPtr = Ptr<PlainTextDocument>;
